export interface DetailLayout {
    id?: string;
    title?: string;
    created_at?: number;
    updated_at?: number;
    identifier?: string;
    content?: null;
    background_color?: BackgroundColorDetailLayout;
    campus_filter?: (null)[] | null;
    topics?: (string)[] | null;
    categories?: (string)[] | null;
    count_categories?: number;
    mapping?: null;
    author?: null;
    color_text_ppal?: ColorTextPpal;
    campus?: (null)[] | null;
    status_press_room?: boolean;
    faculty?: (null)[] | null;
    featured?: (null)[] | null;
    format?: (null)[] | null;
    image_items?: (ImageItemsEntity)[] | null;
    opacity_first_box?: null;
    press_room_lead?: null;
    promotion_date?: number;
    publication_date?: number;
    text_link?: null;
    video_related?: (null)[] | null;
    path?: string;
}
export interface BackgroundColorDetailLayout {
    color: string;
    opacity?: null;
}
export interface ColorTextPpal {
    color?: null;
    opacity?: null;
}
export interface ImageItemsEntity {
    identifier: string;
    image?: (ImageEntity)[] | null;
    text?: null;
    author?: null;
}
export interface ImageEntity {
    styles: Styles;
    texts: Texts;
}
export interface Styles {
    ['241x256']: string;
    ['289x290']: string;
    file_entity_browser_small: string;
    file_entity_browser_thumbnail: string;
    large: string;
    max_1300x1300: string;
    max_2600x2600: string;
    max_325x325: string;
    max_650x650: string;
    medium: string;
    thumbnail: string;
}
export interface Texts {
    title: string;
    alt: string;
}
