export interface Options {
    identifier: number;
    options: any;
}
export interface FormConfig {
    id?: string;
    name?: string;
    label?: string;
    placeholder?: string;
    type: string;
    inputType?: string;
    dataIdentifier?: string;
    validations?: any;
    data?: Options[];
    dependence?: string;
    col?: string;
    value?: any;
    class?: string;
    idHtml?: string;
    typeEndpoint?: any;
}
export interface FormLead {
    contact?: {
        lastName?: string;
        firstName?: string;
        personType?: {
            code?: string;
        };
        documentType?: {
            code?: string;
        };
        documentNumber?: string;
        city?: {
            code?: string;
            state?: {
                code?: string;
                country?: {
                    code?: string;
                };
            };
        };
        acceptanceURL?: string;
        habeasData?: boolean;
        email?: string;
        mobilePhone?: number;
        opportunities?: [{
            source?: {
                code?: string;
            };
            opportunityType?: {
                code?: string;
            };
            details?: [{
                sublist?: string;
                programType?: {
                    code?: string;
                };
                program?: {
                    code?: string;
                };
                modality?: {
                    code?: string;
                };
                campus?: {
                    code?: string;
                };
                funnelState?: {
                    code?: string;
                };
                subFunnelState?: {
                    code?: string;
                };
                source?: {
                    code?: string;
                };
                landingContent?: string;
                utm_term?: string;
                utm_campaign?: string;
                utm_source?: string;
                utm_media?: string;
                firstImpactDate?: string;
                landingName?: string;
            }];
        }];
    };
}
export interface FormPotencial {
    potential?: {
        address?: string;
        email?: string;
        lastName?: string;
        firstName?: string;
        documentType?: {
            code?: string;
        };
        documentNumber?: string;
        classification?: {
            code?: string;
        };
        city?: {
            code?: string;
        };
        state?: {
            code?: string;
        };
        country?: {
            code?: string;
        };
        personType?: {
            code?: string;
        };
        gender?: {
            value?: string;
        };
        period?: {
            name?: string;
        };
        subPeriod?: {
            code?: string;
        };
        habeasData?: string;
        attendee?: {
            lastName?: string;
            firstName?: string;
            documentNumber?: string;
            email?: string;
        };
        contactTime?: {
            value?: string;
        };
        telephone?: string;
        mobilePhone?: string;
        landingContent?: string;
        utm_term?: string;
        utm_campaign?: string;
        utm_source?: string;
        utm_media?: string;
        firstImpactDate?: string;
        source?: {
            code?: string;
        };
        interest?: {
            name?: string;
            program?: {
                code?: string;
            };
            modality?: {
                code?: string;
            };
            ownerbtl?: {
                documentNumber?: string;
            };
            schoolData?: {
                year?: string;
                grade?: string;
                academicLevel: {
                    value?: string;
                };
                school?: {
                    code?: string;
                };
            };
        };
    };
}
export interface FormuLandings {
    date: any;
    landing: string;
    name: string;
    lastname: string;
    documentType: string;
    documentNumber: string;
    email: string;
    mobile: any;
    commentary: string;
    location: string;
    province: string;
    country: string;
    origin: string;
    habeasData: boolean;
    events: any;
}
