export interface BackgroundColor {
    color: string;
    opacity: string;
}
export interface Seo {
    canonical_url: string;
    content_language: string;
    description: string;
    google: string;
    robots: string;
    hreflang_xdefault: string;
    og_description: string;
    og_image: string;
    og_image_secure_url: string;
    og_title: string;
    og_type: string;
    og_url: string;
    bing: string;
    title: string;
}
export interface ConfigColumnPage {
    number_columns: string;
    class?: any;
}
export interface Text {
    text: string;
    class?: any;
}
export interface Link {
    link: string;
    name: string;
}
export interface SeeMore {
    identifier: string;
    class: string;
    file?: any;
    icon: any[];
    id_element: string;
    link: Link[];
    target: string;
}
export interface ModuleBase {
    id?: string;
    title?: string;
    name?: string;
    id_element?: string;
    background_color?: BackgroundColor;
    background_second_color?: any[];
    background_image?: any[];
    seo?: Seo;
    origin?: string;
    config_column_page?: ConfigColumnPage[];
    favicon?: string;
    vocabulary?: any[];
    vocabularies?: any[];
    texts?: Text[];
    figures?: any[];
    search?: any[];
    tabs?: any[];
    number_columns?: string;
    order?: string;
    number_rows?: string;
    scenes_per_row?: string;
    person_type?: string;
    order_type?: string;
    benefits_figures?: any[];
    components?: string;
    search_type?: string;
    search_content_index?: string[];
    search_order?: any[];
    title_class?: string;
    see_more?: SeeMore[];
    filter_program_button?: any[];
    social_network_quantity?: string;
    maps_campus_type_values?: string;
    links_box?: any[];
    featured_link?: any[];
    trending_configuration?: any[];
    universities?: any[];
    categories?: any[];
}
