import { ModuleBase } from './module-base.interface';
export interface ModuleUpComingEvents extends ModuleBase {
    id: string;
    title: string;
    name: string;
    id_element: string;
    class?: any;
    background_second_color?: any[] | any;
    background_image?: any[] | any;
    vocabulary?: any[] | any;
    vocabularies?: any[] | any;
    texts?: any[] | any;
    figures?: any[] | any;
    text_link?: any;
    search?: any[] | any;
    tabs?: any[] | any;
    number_columns: string;
    order?: any;
    quantity_content?: any;
    person_type: string;
    order_type?: any;
    benefits_figures?: any[] | any;
    components: string;
    search_type?: any;
    search_content_index?: any[] | any;
    search_order?: any[] | any;
    title_class?: any;
    see_more?: any[] | any;
    filter_program_button?: any[] | any;
    visible: boolean;
    safe_zone: boolean;
    show_h1: boolean;
    show_image: boolean;
    put_filter: boolean;
    put_order: boolean;
    put_view: boolean;
    universities?: any[] | any;
    categories?: any[] | any;
    as_h1: boolean;
    number_rows: string;
    scenes_per_row?: any;
    paginator_type?: any;
    location_paginator?: any;
    autoplay: boolean;
    links_box?: any[] | any;
    featured_link?: any[] | any;
    trending_configuration?: any[] | any;
    scroll_horizontal: boolean;
    fixed_module: boolean;
    vertical_view: boolean;
    social_network_quantity?: any;
    interval: string;
    loop: boolean;
    trending_content?: any;
    visualization_tag_related?: any;
    maps_latitude?: any;
    maps_longitude?: any;
    maps_zoom?: any;
    maps_campus_filter: boolean;
    maps_campus_type_values: string;
    maps_search_filter: boolean;
    search_error_image?: any[] | any;
    vocabulary_logo?: any[] | any;
    search_background: string;
    search_tips?: any;
    search_label_not_found?: any;
    search_image_icon?: any[] | any;
    vocabulary_background: string;
    previous?: any;
    next?: any;
    previous_class?: any;
    next_class?: any;
    prev_next_title_class?: any;
    prev_next_date_class?: any;
    content?: any[] | any;
}
export interface UpComingEvent {
    content?: ContentUpComingEventEntity[] | null;
    paginator: number;
    total_register: number;
}
export interface ContentUpComingEventEntity {
    id: string;
    name: string;
    created_at: number;
    updated_at: number;
    identifier: string;
    body?: null;
    background_color: BackgroundColor;
    campus?: null[] | null;
    class?: null;
    date: Date;
    description: string;
    summary: string;
    category_class?: null;
    date_class?: null;
    description_class?: null;
    featured: boolean;
    hour_class?: null;
    image_class?: null;
    price?: null[] | null;
    title_class?: null;
    topic?: (FiltersEntityOrCategoriesEntityOrTopicEntityOrTypeEntity | null)[] | null;
    type?: (FiltersEntityOrCategoriesEntityOrTopicEntityOrTypeEntity1 | null)[] | null;
    button_inscription?: null[] | null;
    button_invitation?: null[] | null;
    site_campus?: null[] | null;
    class_link?: null;
    email?: null;
    button_label?: string | null;
    latitude?: null;
    event_link_maps?: null[] | null;
    longitude?: null;
    promotion: number;
    street?: null;
    target_link?: null;
    video_related?: null[] | null;
    filters?: (FiltersEntityOrCategoriesEntityOrTopicEntityOrTypeEntity2 | null)[] | null;
    categories?: (FiltersEntityOrCategoriesEntityOrTopicEntityOrTypeEntity3 | null)[] | null;
    count_categories: number;
    image?: ImageEntityUpCmingEvents[] | null;
    field_mapping?: null;
    field_meta_tags?: null;
    location?: string | null;
    items_order?: ItemsOrderEntity[] | null;
    order_group?: OrderGroup | null;
    path: string;
}
export interface BackgroundColor {
    color: string;
    opacity?: null;
}
export interface Date {
    start: number;
    end: number;
}
export interface FiltersEntityOrCategoriesEntityOrTopicEntityOrTypeEntity {
    label?: null;
    term: string;
}
export interface FiltersEntityOrCategoriesEntityOrTopicEntityOrTypeEntity1 {
    label?: null;
    term: string;
}
export interface FiltersEntityOrCategoriesEntityOrTopicEntityOrTypeEntity2 {
    label?: null;
    term: string;
}
export interface FiltersEntityOrCategoriesEntityOrTopicEntityOrTypeEntity3 {
    label?: null;
    term: string;
}
export interface ImageEntityUpCmingEvents {
    styles: StylesUpComingEvent;
    texts: TextsUpcomingEvents;
}
export interface StylesUpComingEvent {
    ['241x256']: string;
    ['289x290']: string;
    file_entity_browser_small: string;
    file_entity_browser_thumbnail: string;
    large: string;
    max_1300x1300: string;
    max_2600x2600: string;
    max_325x325: string;
    max_650x650: string;
    medium: string;
    thumbnail: string;
}
export interface TextsUpcomingEvents {
    title: string;
    alt: string;
}
export interface ItemsOrderEntity {
    identifier: string;
    class?: null;
    type: string;
}
export interface OrderGroup {
    day?: DayEntityOrWeekEntityOrMonthEntity[] | null;
    week?: DayEntityOrWeekEntityOrMonthEntity[] | null;
    month?: DayEntityOrWeekEntityOrMonthEntity[] | null;
}
export interface DayEntityOrWeekEntityOrMonthEntity {
    label: string;
    start: number;
    end: number;
}
