import { AfterViewInit, ElementRef, EventEmitter, OnChanges, OnInit, QueryList, SimpleChanges } from '@angular/core';
import { FormArray, FormGroup } from '@angular/forms';
import { LocalDeviceDetectorService } from 'dmmp-services';
import { ActivatedRoute, Router } from '@angular/router';
import { FilterService } from 'dmmp-services';
import { PlatformLocation } from '@angular/common';
export declare class FiltersProgrammesComponent implements OnInit, OnChanges, AfterViewInit {
    localDeviceDetector: LocalDeviceDetectorService;
    private router;
    private activatedRoute;
    private filterService;
    private location;
    checkboxesFilters: QueryList<ElementRef>;
    form: FormGroup;
    data: any;
    identifier: string;
    openFilters: boolean;
    currentFilters: any;
    changeSelectedValues: EventEmitter<any>;
    uncheckAllValues: EventEmitter<any>;
    showFilters: EventEmitter<any>;
    redirectPage: EventEmitter<any>;
    formOptions: FormArray;
    counter: number;
    textMobile: {
        title: string;
        applyFilter: string;
        clearFilter: string;
    };
    queryString: string;
    relateUrls: {
        academicOfferUrl: string;
        programsFilterUrl: string;
    };
    constructor(localDeviceDetector: LocalDeviceDetectorService, router: Router, activatedRoute: ActivatedRoute, filterService: FilterService, location: PlatformLocation);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    checkTopic(): void;
    isMobile(): void;
    onCheckboxChange(event: any, path: any, label: any, vocabularyName: any): void;
    uncheckAll(): void;
    verifyFilters(currentFilter: any): void;
}
